Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Interface MfTransactionFactory

All Known Implementing Classes:
  MfTransactionFactoryImpl

public interface MfTransactionFactory

MfTransactionFactory provides methods to create the transaction API objects.

Method Summary
`MfTranReport` | `newTranReport(MfTransactionDefinition definition, MfTranReport parentTrans)` Creates a new transaction report.
`MfTransaction` | `newTransaction(MfTransactionDefinition definition, MfTransaction parentTrans)` Creates a new transaction.
`MfTransactionDefinition` | `newTransactionDefinition(java.lang.String name, java.lang.String uri, MfTransactionMetrics transMetrics)` Creates a new transaction type.
`MfTransactionDefinition` | `newTransactionDefinition(java.lang.String name, java.lang.String uri, MfTransactionMetrics transMetrics, boolean hasComputingInfo)` Creates a new transaction type.

Method Detail

### newTransactionDefinition

    public MfTransactionDefinition newTransactionDefinition(java.lang.String name,
                                                            java.lang.String uri,
                                                            MfTransactionMetrics transMetrics)

  Creates a new transaction type.

  Parameters:
    `name` - name of the transaction type.
    `uri` - the related URI.
    `transMetrics` - the transaction metrics MBean.
  Returns:
    TransactionDefinition

### newTransactionDefinition

    public MfTransactionDefinition newTransactionDefinition(java.lang.String name,
                                                            java.lang.String uri,
                                                            MfTransactionMetrics transMetrics,
                                                            boolean hasComputingInfo)

  Creates a new transaction type.

  Parameters:
    `name` - name of the transaction type.
    `uri` - the related URI.
    `transMetrics` - the transaction metrics MBean.
    `hasComputingInfo` - only valid for parent transactions: if true, the corresponding transaction has its own computing metrics.If false, the parent transaction is only an aggregation of a set of transactions. The default is true.
  Returns:
    TransactionDefinition

### newTransaction

    public MfTransaction newTransaction(MfTransactionDefinition definition,
                                        MfTransaction parentTrans)

  Creates a new transaction.

  Parameters:
    `definition` - the related MfTransactionDefinition (ie transaction type).
    `parentTrans` - the parent transaction. May be null.
  Returns:
    Transaction

### newTranReport

    public MfTranReport newTranReport(MfTransactionDefinition definition,
                                      MfTranReport parentTrans)

  Creates a new transaction report.

  Parameters:
    `definition` - the related MfTransactionDefinition (ie transaction type).
    `parentTrans` - the parent transaction. May be null.
  Returns:
    TranReport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD